#include <stdlib.h>
#include <iostream>

using namespace std;

int main() 
{
    int num=10;
    int X, Y, XC, YC, p=0, i ;
    int zbir[num];

    cin>>X>>Y;

    while(X||Y)
    {
      XC=X%10;
      X=X/10;
      YC=Y%10;
      Y=Y/10;
        
      if (XC<YC)
      {
        zbir[p]=YC;
      }
      else if (XC>YC)
      {
        zbir[p]=XC;
      }
      cout<<zbir[p];
      if(X==0)
      {
        
      }
      else if(Y==0)
      {
        
      }
      p++;
    }

    

    cin.get();
}